<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * PagosMatriculacion
 *
 * @ORM\Table(name="pagos_matriculacion", indexes={@ORM\Index(name="cve_pla", columns={"cve_pla"})})
 * @ORM\Entity
 */
class PagosMatriculacion
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_pag_mat", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idePagMat;

    /**
     * @var string
     *
     * @ORM\Column(name="mes_matriculacion", type="string", length=50, nullable=false)
     */
    private $mesMatriculacion;

    /**
     * @var integer
     *
     * @ORM\Column(name="anio_matriculacion", type="integer", nullable=false)
     */
    private $anioMatriculacion;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mat", type="date", nullable=false)
     */
    private $fecMat;

    /**
     * @var string
     *
     * @ORM\Column(name="monto", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $monto;

    /**
     * @var string
     *
     * @ORM\Column(name="abonado", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $abonado;

    /**
     * @var string
     *
     * @ORM\Column(name="debe", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $debe;

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=true)
     */
    private $cveUsu = 'NULL';

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;



    /**
     * Get idePagMat
     *
     * @return integer
     */
    public function getIdePagMat()
    {
        return $this->idePagMat;
    }

    /**
     * Set mesMatriculacion
     *
     * @param string $mesMatriculacion
     *
     * @return PagosMatriculacion
     */
    public function setMesMatriculacion($mesMatriculacion)
    {
        $this->mesMatriculacion = $mesMatriculacion;
    
        return $this;
    }

    /**
     * Get mesMatriculacion
     *
     * @return string
     */
    public function getMesMatriculacion()
    {
        return $this->mesMatriculacion;
    }

    /**
     * Set anioMatriculacion
     *
     * @param integer $anioMatriculacion
     *
     * @return PagosMatriculacion
     */
    public function setAnioMatriculacion($anioMatriculacion)
    {
        $this->anioMatriculacion = $anioMatriculacion;
    
        return $this;
    }

    /**
     * Get anioMatriculacion
     *
     * @return integer
     */
    public function getAnioMatriculacion()
    {
        return $this->anioMatriculacion;
    }

    /**
     * Set fecMat
     *
     * @param \DateTime $fecMat
     *
     * @return PagosMatriculacion
     */
    public function setFecMat($fecMat)
    {
        $this->fecMat = $fecMat;
    
        return $this;
    }

    /**
     * Get fecMat
     *
     * @return \DateTime
     */
    public function getFecMat()
    {
        return $this->fecMat;
    }

    /**
     * Set monto
     *
     * @param string $monto
     *
     * @return PagosMatriculacion
     */
    public function setMonto($monto)
    {
        $this->monto = $monto;
    
        return $this;
    }

    /**
     * Get monto
     *
     * @return string
     */
    public function getMonto()
    {
        return $this->monto;
    }

    /**
     * Set abonado
     *
     * @param string $abonado
     *
     * @return PagosMatriculacion
     */
    public function setAbonado($abonado)
    {
        $this->abonado = $abonado;
    
        return $this;
    }

    /**
     * Get abonado
     *
     * @return string
     */
    public function getAbonado()
    {
        return $this->abonado;
    }

    /**
     * Set debe
     *
     * @param string $debe
     *
     * @return PagosMatriculacion
     */
    public function setDebe($debe)
    {
        $this->debe = $debe;
    
        return $this;
    }

    /**
     * Get debe
     *
     * @return string
     */
    public function getDebe()
    {
        return $this->debe;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return PagosMatriculacion
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return PagosMatriculacion
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return PagosMatriculacion
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return PagosMatriculacion
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }
}
